Connect an integration (staff)
POST /api/integrations. Connect an integration (staff). Headless LMS Integrations API reference.
Staff only (owner, admin, instructor). Stores the secrets encrypted; they are never returned. 400 when the integration is unknown or the config is invalid; 409 when the organization already has a connection to it.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/integrations" \ -H "Content-Type: application/json" \ -d '{ "integrationId": "string", "secrets": { "property1": null, "property2": null } }'{ "orgId": "string", "id": "string", "integrationId": "string", "config": { "property1": null, "property2": null }, "active": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}List the organization's integration connections (staff) GET
GET /api/integrations. List the organization's integration connections (staff). Headless LMS Integrations API reference.
Get a connection (staff) GET
GET /api/integrations/{id}. Get a connection (staff). Headless LMS Integrations API reference.